Subject: Re: [PATCH 00/16] net: stmmac: Add DW MAC GPIOs and Baikal-T1 GMAC support

From: Andrew Lunn <[email-masked]>
Date: Tue, 9 Feb 2021 15:11:41 +0100

> Regarding splitting the series up. I don't see a problem in just
> sending the cover-letter patch and actual GPIO-related patches to
> the GPIO-maintainers with no need to have them added to Cc in the rest
> of the series.

The Linux community has to handle a large number of patches. I don't
particularly want patches which are of no relevance to me landing in
my mailbox. It might take 4 or 5 rounds for the preparation patches to
be accepted. That is 4 or 5 times you are spamming the GPIO
maintainers with stuff which is not relevant to them.

One of the unfortunately things about the kernel process is, there are
a lot of developers, and not many maintainers. So the processes need
to make the life of maintainers easier, and not spamming them helps.

   Andrew